Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkOptions

Provides various settings needed to configure the OpenIddict Entity Framework 6.x integration.

##### Inheritance

System.Object
OpenIddictEntityFrameworkOptions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.EntityFramework

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkOptions

### Properties

#### DbContextType

Gets or sets the concrete type of the used by the OpenIddict Entity Framework 6.x stores. If this property is not populated, an exception is thrown at runtime when trying to use the stores.

##### Declaration

    public Type DbContextType { get; set; }

##### Property Value

Type | Description
--- | ---
System.Type |